package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.CourseScheduleReview;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Set;

public class ReviewInfoDto {

    @ApiModelProperty(value = "课程信息",required = false)
    private TeacherClassHeadInfo teacherClassHeadInfo;

    @ApiModelProperty(value = "老师评价信息",required = false)
    private CourseScheduleReview courseScheduleReview;

    @ApiModelProperty(value = "学生评价信息",required = false)
    private List<CourseScheduleComplaintsDto> CourseScheduleComplaints;

    @ApiModelProperty(value = "老师评价信息列表",required = false)
    private List<CourseScheduleReview> courseScheduleReviewList;

    @ApiModelProperty(value = "老师已评价的学生",required = false)
    private Set<Integer> review4StudentIds;

    @ApiModelProperty(value = "教学内容",required = false)
    private String teachingMaterial;

    @ApiModelProperty(value = "班级学生",required = false)
    private List<SysUser> students;

    public TeacherClassHeadInfo getTeacherClassHeadInfo() {
        return teacherClassHeadInfo;
    }

    public void setTeacherClassHeadInfo(TeacherClassHeadInfo teacherClassHeadInfo) {
        this.teacherClassHeadInfo = teacherClassHeadInfo;
    }

    public CourseScheduleReview getCourseScheduleReview() {
        return courseScheduleReview;
    }

    public void setCourseScheduleReview(CourseScheduleReview courseScheduleReview) {
        this.courseScheduleReview = courseScheduleReview;
    }

    public List<CourseScheduleComplaintsDto> getCourseScheduleComplaints() {
        return CourseScheduleComplaints;
    }

    public void setCourseScheduleComplaints(List<CourseScheduleComplaintsDto> courseScheduleComplaints) {
        CourseScheduleComplaints = courseScheduleComplaints;
    }

    public List<CourseScheduleReview> getCourseScheduleReviewList() {
        return courseScheduleReviewList;
    }

    public void setCourseScheduleReviewList(List<CourseScheduleReview> courseScheduleReviewList) {
        this.courseScheduleReviewList = courseScheduleReviewList;
    }

    public Set<Integer> getReview4StudentIds() {
        return review4StudentIds;
    }

    public void setReview4StudentIds(Set<Integer> review4StudentIds) {
        this.review4StudentIds = review4StudentIds;
    }

    public String getTeachingMaterial() {
        return teachingMaterial;
    }

    public void setTeachingMaterial(String teachingMaterial) {
        this.teachingMaterial = teachingMaterial;
    }

    public List<SysUser> getStudents() {
        return students;
    }

    public void setStudents(List<SysUser> students) {
        this.students = students;
    }
}
